#include <stddef.h>
#include <stdint.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>

#include "fw.h"
#include "console.h"
#include "io.h"

#if CON_OUT_OF_LINE

void __hot con_putc(char c)
{
    _con_putc(c);
}

void __hot con_puts(const char *str)
{
    _con_puts(str);
}

#endif

void con_vprintf(const char *fmt, va_list ap)
{
    char buf[128];		/* Maximum text size */
    unsigned int len;
    const char *p;

    vsnprintf(buf, sizeof buf, fmt, ap);
    con_puts(buf);
}

void con_printf(const char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    con_vprintf(fmt, ap);
    va_end(ap);
}
